de.dhbwstuttgart.syntaxtree.statement

## Class Return

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.Return

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class Return
    extends Statement

### Field Summary

Fields
`protected static Logger` `parserlog`
`Expr` `retexpr`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`Return(int offset, int variableLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `get_Type()`
`Menge<SyntaxTreeNode>` `getChildren()`
`Type` `getReturnType()`
`java.lang.String` `getTypeInformation()`
`int` `getTypeLineNumber()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`Return` `set_ReturnExpr(Expr ret)`
`void` `setReturnType(Type t)`
`java.lang.String` `toString()`
`ConstraintsSet` `TYPEStmt(TypeAssumptions assumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getType, getVariableLength, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### retexpr

    public Expr retexpr

#### parserlog

    protected static Logger parserlog

### Constructor Detail

#### Return

    public Return(int offset,
                  int variableLength)

### Method Detail

#### set_ReturnExpr

    public Return set_ReturnExpr(Expr ret)

#### get_Type

    public java.lang.String get_Type()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                          Menge<GenericTypeVar> genericMethodParameters)

Specified by:
  `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

#### TYPEStmt

    public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

Specified by:
  `TYPEStmt` in class `Statement`

#### getTypeLineNumber

    public int getTypeLineNumber()

#### getTypeInformation

    public java.lang.String getTypeInformation()

Overrides:
  `getTypeInformation` in class `Statement`
Returns:

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Statement`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Specified by:
  `getChildren` in class `SyntaxTreeNode`

#### setReturnType

    public void setReturnType(Type t)

Overrides:
  `setReturnType` in class `Statement`

#### getReturnType

    public Type getReturnType()

Overrides:
  `getReturnType` in class `Statement`